SET FOREIGN_KEY_CHECKS = 0;

ALTER TABLE `tb_admin`
    ADD COLUMN `need_reset_password` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT '是否需要更新密码' AFTER `role_id`;

ALTER TABLE `tb_admin`
    ADD COLUMN `freeze_state` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT '是否已被冻结，0未冻结，1已冻结' AFTER `need_reset_password`;

ALTER TABLE `tb_admin`
    ADD COLUMN `last_login_time` datetime NULL DEFAULT NULL COMMENT '最后登录时间' AFTER `freeze_state`;

ALTER TABLE `tb_admin`
    MODIFY COLUMN `create_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP AFTER `last_login_time`;

ALTER TABLE `tb_admin`
    ADD UNIQUE INDEX `username` (`username`) USING BTREE;

ALTER TABLE `tb_copyright_apply`
    ADD COLUMN `check_username` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '审核人员' AFTER `pass_time`;

CREATE TABLE `tb_admin_role`
(
    `id`        int(10) UNSIGNED                                             NOT NULL AUTO_INCREMENT COMMENT '主键自增',
    `role_id`   int(10) UNSIGNED                                             NOT NULL COMMENT '角色id',
    `role_name` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '角色名称',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB
  CHARACTER SET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = Dynamic;

INSERT INTO `tb_admin_role` (`id`, `role_id`, `role_name`) VALUES (1, 1, '超级管理员');

INSERT INTO `tb_admin_role` (`id`, `role_id`, `role_name`) VALUES (2, 2, '管理员');

SET FOREIGN_KEY_CHECKS = 1;